Ubuntu Studio 7.10: Problem installing from repository

I had tried installing KDENLIVE manually when I was in 7.04 with a mixture of debs and source. What I thought was .5 was .4 and so I left it alone for a while.

When I upgraded to Ubuntu Studio 7.10 I was ahppy to see .5 included in the official repositories. However, on installing it from add/remove I get this message:

E: /var/cache/apt/archives/libmlt-data_0.2.4-0ubuntu1_all.deb: trying to overwrite `/usr/share/mlt/modules/lumas/PAL/luma01.pgm', which is also in package mlt

Then I have to go to Synaptic which identifies libmlt as a broken package. When I mark it for removal, it removes kdenlive and libvalerie along with it.

I thought I could be rid of the message if I deleted the mlt folder in the usr/share directory but the error message still happens. What must I do to correct this?